Subject: RE: Common label

From: Khuzema Pithewan <[email-masked]>
Date: Mon, 23 Jul 2001 20:04:00 +0530

At LSR, If I am receiving a Resv message with a new filterspec(style is SE),
with the same label(i.e. outgoing label) then it means LSP are already
merged, so at this point  whether I check for ERO or not, doesn't matter,
because ERO is for the downstream path from this LSR and I am allocating
label for the upstream path(i.e. incoming label). 

If ERO is different for 2 LSP, then I will never receive the same label at
this LSR, as the downstream LSR(at which LSP route is getting changed) will
never send the same labels, as previous hops are different at the downstream
LSR..

Khuzema.

> ----------
> From: 	David Charlap
> Sent: 	Monday, July 23, 2001 7:41 PM
> To: 	[email-masked]'
> Subject: 	Re: Common label
> 
> Khuzema Pithewan wrote:
> > 
> > In "draft-ietf-mpls-rsvp-lsp-tunnel-08" section 2.4.3 says...
> > 
> > " Multipoint-to-point LSPs may be used when path messages do not
> > carry the EXPLICIT_ROUTE object, or when Path messages have
> > identical EXPICIT_ROUTE objects.  In either of these cases a
> > common label may be assigned."
> > 
> > My question is, why it should check if EXPLICIT_ROUTE object should
> > be same to provide common label? I think instead of checking
> > EXPLICIT_ROUTE object, if I just check for the incoming and
> > outgoing interfaces of the Path messages on the LSR, even then I
> > can assign the common label if they are same.
> 
> Think about what will happen on the data plane.  Remember that data
> packets are forwarded only according to their labels, and not according
> to the actual content of the packets.
> 
> If you assign the same label to two different LSPs, then you effectively
> merge them together.  Packets from both LSPs will necessarily follow the
> same path to the egress, because they will have the same label.
> 
> If there is no ERO, or if the two LSPs have identical EROs, this merging
> is not a problem - the packets are all going the same way anyway.  If
> they have different EROs, however, then the data from one LSP will not
> be able to follow the ERO, because it is sharing a label with an LSP
> that has a different ERO.
> 
> -- David
>

---

From: Eric Gray <[email-masked]>
Date: Mon, 23 Jul 2001 12:25:01 -0400

Khuzema,

    You receive the labels you distribute.  If you distribute a common
label for two LSPs that have divergent paths downstream (implied
by a distinguishable ERO), then you will receive that label.  AT this
point, you cannot recover sufficient information to allow you to
correctly forward the packets received with this common label in
the dowstream LSP - assuming you even have established distinct
downstream LSPs to use in forwarding.

--
Eric Gray